/** This shader is used with sprite renderer to render background circle and icon on top of it */
#ifdef GL_ES
precision lowp float;
#endif

#include "utils.frag"
#include "precision.sh"

//uniform float u_radius; // 0.5
uniform sampler2D s_texture1;
uniform sampler2D s_texture2;

varying highp vec3 v_position;
varying lowp vec4 v_backgroundColor;
varying lowp vec4 v_foregroundColor;
varying lowp vec2 v_uv;

void main(void) {
    vec2 backgroundUV = v_uv;// vec2(v_position.x - 0.5, v_position.y - 0.5);

    // Background texture for shape(GL_ALPHA)
    float backgroundAlpha = v_backgroundColor.a * (texture2D(s_texture2, backgroundUV).r);

    // Foreground texture
    float foregroundAlpha = v_foregroundColor.a * texture2D(s_texture1, v_uv).r;

    vec4 back = vec4(v_backgroundColor.rgb * backgroundAlpha, backgroundAlpha ); // premultiply
    vec4 fore = vec4(v_foregroundColor.rgb * foregroundAlpha, foregroundAlpha); // premultiply
    gl_FragColor = blend(back, fore, fore.a);
}
