
uniform mat4 u_modelViewMatrix;
uniform mat4 u_projectionMatrix;
uniform mat4 u_normalMatrix;

attribute vec4 a_position;
attribute vec4 a_normal;

varying vec3 v_normal;
varying vec3 v_edge_normal;
varying vec3 v_position;

void main(void) {
    vec4 pos = u_modelViewMatrix * vec4(a_position.xyz, 1.0);

    // For picking texture
    v_normal = a_normal.xyz;

    // For drawing outline
    v_edge_normal = normalize(mat3(u_normalMatrix) * a_normal.xyz);

    v_position = pos.xyz;
    
    gl_Position = u_projectionMatrix * pos;
}
